[arch-haskell] AUR Comment for arbtt

AUR Feedback simons at cryp.to
Sat Oct 12 07:39:07 UTC 2013

from http://aur.archlinux.org/packages.php?ID=39703
tzok wrote:

In the PKGBUILD there are more broken dependencies than haskell-time.
It is because they use equality sign '=' which requires that exactly
this version is installed and no other. With new ghc in [extra]
repository, those packages have higher version numbers.

I have modified PKGBUILD and changed all '=' into '>=' in dependencies
section which helped. But there was also one issue with haskell-parsec
being in version 3.1.1 while arbtt.cabal explicitly required version
2.*. I have modified it too and then successfully compiled arbtt. It
is working now :).

Here is my modified PKGBUILD: http://pastebin.com/egaA41Hd

If you no longer wish to receive notifications about this package,
please go the the above package page and click the UnNotify button.

More information about the arch-haskell mailing list